API reference · AI gateway
Get an alias
GET
/v1/orgs/{org}/ai/aliases/{alias}- Permission
ai.aliases.read- Operation
ai.aliases.get
Parameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
org | path | string | yes | for example "org_01h455vb4pex5vsknk084sn02q" |
alias | path | string | yes | for example "als_01h455vb4pex5vsknk084sn02q" |
x-obhut-management-assignment | header | string | no | Select one staff assignment. Direct membership remains the default. Bound API tokens use their stored source and ignore this selector. For example "masg_01h455vb4pex5vsknk084sn02q" |
Response 200
| Field | Type | Required | Notes |
|---|---|---|---|
id | string | yes | for example "als_01h455vb4pex5vsknk084sn02q" |
orgId | string or null | yes | |
name | string | yes | |
strategy | string | yes | one of "priority", "weighted", "cheapest" |
targets | array of object | yes | |
targets[].model | string | yes | for example "cm_01h455vb4pex5vsknk084sn02q" |
targets[].provider | string | yes | |
targets[].providerModel | string | yes | |
targets[].location | string | yes | |
targets[].credential | string | yes | for example "pcr_01h455vb4pex5vsknk084sn02q" |
targets[].ownCredential | boolean | yes | |
targets[].weight | integer or null | yes | |
shadowed | boolean | yes | |
createdAt | string (date-time) | yes | UTC, ISO 8601. |
updatedAt | string (date-time) | yes | UTC, ISO 8601. |